# Uses of Class
org.apache.jute.compiler.generated.Token

Packages that use Token
Package
Description
org.apache.jute.compiler.generated
This package contains code generated by JavaCC from the Hadoop record syntax file rcc.jj.

## Uses of Token in org.apache.jute.compiler.generated

Fields in org.apache.jute.compiler.generated declared as Token
Modifier and Type
Field
Description
`Token`
ParseException.`currentToken`
This is the last token that has been consumed successfully.
`Token`
Rcc.`jj_nt`
Next token.
`Token`
Token.`next`
A reference to the next regular (non-special) token from the input stream.
`Token`
Token.`specialToken`
This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
`Token`
Rcc.`token`
Current token.
Methods in org.apache.jute.compiler.generated that return Token
Modifier and Type
Method
Description
`final Token`
Rcc.`getNextToken()`
Get the next Token.
`Token`
RccTokenManager.`getNextToken()`
Get the next Token.
`final Token`
Rcc.`getToken(int index)`
Get the specific Token.
`protected Token`
RccTokenManager.`jjFillToken()`
`static Token`
Token.`newToken(int ofKind)`
`static Token`
Token.`newToken(int ofKind, String image)`
Returns a new Token object, by default.
Constructors in org.apache.jute.compiler.generated with parameters of type Token
Modifier
Constructor
Description
``
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.